<?php

namespace Comitium5\DesignerBundle\Generator;

use Comitium5\DesignerBundle\Model\Interfaces\GeneratorProviderInterface;

/**
 * Class GeneratorProvider
 *
 * @author Carles Gómez <carles@bab-soft.com>
 * @package Comitium5\DesignerBundle\Generator
 */
class GeneratorProvider implements GeneratorProviderInterface
{
    /**
     * @return mixed
     */
    public function generate()
    {
        return md5(time().uniqid());
    }

    /**
     * Generate unique id
     *
     * @return string
     */
    public function generateUid()
    {
        return md5(uniqid());
    }
}
